org.apache.poi.hssf.record.chart

## Class ChartFormatRecord

- java.lang.Object
- - org.apache.poi.hssf.record.RecordBase
  - - org.apache.poi.hssf.record.Record
    - - org.apache.poi.hssf.record.StandardRecord
      - - org.apache.poi.hssf.record.chart.ChartFormatRecord

- All Implemented Interfaces:
    Duplicatable

      public final class ChartFormatRecord
      extends StandardRecord

  Class ChartFormatRecord (0x1014)

  (As with all chart related records, documentation is lacking. See `ChartRecord` for more details)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartFormatRecord()`
    `ChartFormatRecord(ChartFormatRecord other)`
    `ChartFormatRecord(RecordInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChartFormatRecord` | `copy()`
    `protected int` | `getDataSize()`
    `int` | `getHeight()`
    `short` | `getSid()` return the non static version of the id for this record.
    `boolean` | `getVaryDisplayPattern()`
    `int` | `getWidth()`
    `int` | `getXPosition()`
    `int` | `getYPosition()`
    `void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
    `void` | `setHeight(int height)`
    `void` | `setVaryDisplayPattern(boolean value)`
    `void` | `setWidth(int width)`
    `void` | `setXPosition(int xPosition)`
    `void` | `setYPosition(int yPosition)`
    `java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

    - ### Methods inherited from class org.apache.poi.hssf.record.StandardRecord

      `getRecordSize, serialize`

    - ### Methods inherited from class org.apache.poi.hssf.record.Record

      `cloneViaReserialise, serialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChartFormatRecord

          public ChartFormatRecord()

    - #### ChartFormatRecord

          public ChartFormatRecord(ChartFormatRecord other)

    - #### ChartFormatRecord

          public ChartFormatRecord(RecordInputStream in)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Record`
      get a string representation of the record (for biffview/debugging)
      Overrides:
        `toString` in class `Record`

    - #### serialize

          public void serialize(LittleEndianOutput out)

      Description copied from class: `StandardRecord`
      Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.

      The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consisting of a 'ushort sid' and 'ushort reclength' has already been written by their superclass).

      Specified by:
        `serialize` in class `StandardRecord`
      Parameters:
        `out` - the output object

    - #### getDataSize

          protected int getDataSize()

      Specified by:
        `getDataSize` in class `StandardRecord`

    - #### getSid

          public short getSid()

      Description copied from class: `Record`
      return the non static version of the id for this record.
      Specified by:
        `getSid` in class `Record`
      Returns:
        he id for this record

    - #### getXPosition

          public int getXPosition()

    - #### setXPosition

          public void setXPosition(int xPosition)

    - #### getYPosition

          public int getYPosition()

    - #### setYPosition

          public void setYPosition(int yPosition)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getVaryDisplayPattern

          public boolean getVaryDisplayPattern()

    - #### setVaryDisplayPattern

          public void setVaryDisplayPattern(boolean value)

    - #### copy

          public ChartFormatRecord copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `StandardRecord`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.